# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit webapp

DESCRIPTION="MoniWiki is good. It is fast, light and easy to install. Also it
has many enhanced and newwith the MoinMoin. MoniWiki WikiFormattingRules were
inspired and adopted from MoinMoin."
HOMEPAGE="http://moniwiki.sourceforge.net/wiki.php"
SRC_URI="http://kldp.net/frs/download.php/2640/${P}.tgz"

LICENSE="GPL-2"
KEYWORDS="x86"
IUSE="norcs vhosts"

RDEPEND="virtual/httpd-php
		!norcs (app-text/rcs)"

S=${WORKDIR}/${PN}
DOCS="COPYING INSTALL README THANKS"

src_unpack () {
	unpack ${A}
	cd ${S}
	rm Makefile
}

src_install () {
	webapp_src_preinst

	dodoc ${DOCS}
	mv ${S}/* ${D}/${MY_HTDOCSDIR} || die

	webapp_postinst_txt en ${FILESDIR}/${PV}-postinst-en.txt

	webapp_serverowned ${MY_HTDOSCDIR}

	webapp_src_install
}
